import { ProjectRepository } from '@app/domain/projects/project.repository';
import { CreateProjectDto } from '@app/domain/projects/dto/create-project.dto';

export class CreateProjectUseCase {
  constructor(private readonly repo: ProjectRepository) {}

  execute(projectDto: CreateProjectDto) {
    return this.repo.create(projectDto);
  }
}
